/*
 * Copyright 2014 NAVER Corp.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.navercorp.pinpoint.collector.mapper;

import com.navercorp.pinpoint.common.util.BytesUtils;

import org.apache.hadoop.hbase.Cell;
import org.apache.hadoop.hbase.CellUtil;
import org.apache.hadoop.hbase.client.Result;
import org.springframework.data.hadoop.hbase.RowMapper;
import org.springframework.stereotype.Component;

@Component
@Deprecated
public class ApplicationNameMapper implements RowMapper<String> {
    @Override
    public String mapRow(Result result, int rowNum) throws Exception {
        if (result.isEmpty()) {
            return null;
        }
        Cell[] rawCells = result.rawCells();

        if (rawCells.length == 0) {
            return null;
        }

        String[] ret = new String[rawCells.length];
        int index = 0;

        for (Cell cell : rawCells) {
            ret[index++] = BytesUtils.toString(CellUtil.cloneQualifier(cell));
        }

        return ret[0];
    }
}
